summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--office/texmacs/README7
-rw-r--r--office/texmacs/doinst.sh14
-rw-r--r--office/texmacs/slack-desc19
-rw-r--r--office/texmacs/texmacs.SlackBuild101
-rw-r--r--office/texmacs/texmacs.info10
5 files changed, 151 insertions, 0 deletions
diff --git a/office/texmacs/README b/office/texmacs/README
new file mode 100644
index 0000000000..18799ace0e
--- /dev/null
+++ b/office/texmacs/README
@@ -0,0 +1,7 @@
+GNU TeXmacs is a free scientific text editor, which was both inspired
+by TeX and GNU Emacs. The software aims to provide a unified and
+user friendly framework for editing structured documents with
+different types of content (text, graphics, mathematics, interactive
+content, etc.). The rendering engine uses high-quality typesetting
+algorithms so as to produce professionally looking documents, which
+can either be printed out or presented from a laptop.
diff --git a/office/texmacs/doinst.sh b/office/texmacs/doinst.sh
new file mode 100644
index 0000000000..9830478e8c
--- /dev/null
+++ b/office/texmacs/doinst.sh
@@ -0,0 +1,14 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/office/texmacs/slack-desc b/office/texmacs/slack-desc
new file mode 100644
index 0000000000..6592396668
--- /dev/null
+++ b/office/texmacs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+texmacs: GNU TeXmacs (a WYSIWIG technical editor)
+texmacs:
+texmacs: GNU TeXmacs is a free scientific text editor, which was both inspired
+texmacs: by TeX and GNU Emacs. The software aims to provide a unified and
+texmacs: user friendly framework for editing structured documents with
+texmacs: different types of content (text, graphics, mathematics, interactive
+texmacs: content, etc.). The rendering engine uses high-quality typesetting
+texmacs: algorithms so as to produce professionally looking documents, which
+texmacs: can either be printed out or presented from a laptop.
+texmacs:
+texmacs: Homepage: http://www.texmacs.org
diff --git a/office/texmacs/texmacs.SlackBuild b/office/texmacs/texmacs.SlackBuild
new file mode 100644
index 0000000000..9a901e9b45
--- /dev/null
+++ b/office/texmacs/texmacs.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for Texmacs
+
+# Copyright 2013 Zhu Qun-Ying
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=texmacs
+VERSION=${VERSION:-1.0.7.19}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=TeXmacs
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION-src
+tar xvf $CWD/$SRCNAM-$VERSION-src.tar.gz
+cd $SRCNAM-$VERSION-src
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING LICENSE TODO COMPILE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/texmacs/texmacs.info b/office/texmacs/texmacs.info
new file mode 100644
index 0000000000..198abf2c8b
--- /dev/null
+++ b/office/texmacs/texmacs.info
@@ -0,0 +1,10 @@
+PRGNAM="texmacs"
+VERSION="1.0.7.19"
+HOMEPAGE="http://www.texmacs.org"
+DOWNLOAD="http://www.texmacs.org/Download/ftp/tmftp/source/TeXmacs-1.0.7.19-src.tar.gz"
+MD5SUM="19459a0c89c9beb66f322c9170bfe5ed"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Zhu Qun-Ying"
+EMAIL="zhu.qunying@gmail.com"